package com.app.widget.yyytitlebar

import android.app.Activity
import android.content.Context
import android.util.AttributeSet
import android.view.LayoutInflater
import android.view.View
import android.widget.LinearLayout
import com.app.R
import com.app.ui.activity.MySpaceActivity
import kotlinx.android.synthetic.main.view_titlebar_yyy.view.*


/**
 * @Description:     摇一摇titlebar
 * @Author:         Mazh
 */
class YyyTitleView : LinearLayout {
    private var titleName: String = ""
//    private var popupWindowHolder: PopWindowHolder?

    constructor(context: Context) : super(context)

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        with(context.obtainStyledAttributes(attrs, R.styleable.YyyTitleView, 0, 0)) {
            titleName = getString(R.styleable.YyyTitleView_titleName)
            recycle()
        }
    }

    constructor(context: Context, attrs: AttributeSet?, defStyle: Int) : super(context, attrs, defStyle) {
        with(context.obtainStyledAttributes(attrs, R.styleable.YyyTitleView, defStyle, 0)) {
            titleName = getString(R.styleable.YyyTitleView_titleName)
            recycle()
        }
    }

    private var mView: View = LayoutInflater.from(context).inflate(R.layout.view_titlebar_yyy, this, false)

    init {
        addView(mView)
//        popupWindowHolder = PopWindowHolder.get(context)
    }

    override fun onFinishInflate() {
        super.onFinishInflate()
//        popupWindowHolder?.setShowView(ivMessage)
        ivPerson.setOnClickListener {
            MySpaceActivity.openActivity(context as Activity)
        }

//        //跳转到私信
//        ivMessage.setOnClickListener {
//            UmsAgent.onCBtn(context, RazorConstants.SHAKE_MESSAGE_BREATHING_ICON)
//            popupWindowHolder?.jumpMessage(context)
//        }

    }

    /**
     * 设置私信消息数
     */
//    fun setMessageNum() {
        //隐藏未读消息气泡
//        if (popupWindowHolder == null) {
//            popupWindowHolder = PopWindowHolder.get(context)
//        }
//        popupWindowHolder?.setMessageNum()
//    }

//    fun setNeedShow(needShow: Boolean) {
//        popupWindowHolder?.setNeedShow(needShow)
//    }

    /**
     * 设置标题
     */
    fun setTitle(title: String) {
        tvTitle.text = title
    }

//    fun onDestroy() {
//        popupWindowHolder?.onDestroy()
//        popupWindowHolder = null
//    }
}
